#ifdef GL_ES
precision highp float;
#endif

varying vec2 YiInternalTexCoord;
uniform sampler2D YiTexture0;
uniform float YiAlpha;
uniform vec4 TintColor;

void main()
{
    vec4 InColor;
    vec4 FinalColor;
    InColor = texture2D(YiTexture0, YiInternalTexCoord);
    FinalColor.rgb = TintColor.rgb;
    FinalColor.rgb *= InColor.r;
    FinalColor.a = InColor.a;
    gl_FragColor = FinalColor * YiAlpha;
}
