#ifdef GL_ES 
precision highp float;
#endif

attribute vec4 YiVertexPosition;
attribute vec4 YiVertexNormal;
attribute vec2 YiVertexTexCoord;
uniform mat4 YiMatrices[3];
uniform mat3 YiTextureMatrix0;
varying vec2 YiInternalTexCoord;

void main()
{
   YiInternalTexCoord = (YiTextureMatrix0 * vec3(YiVertexTexCoord, 1.0)).xy;
   gl_Position = YiMatrices[0] * (YiMatrices[1] * (YiMatrices[2] * YiVertexPosition));
}
